【AF】【PVT】【桌面】重断电重启系统，偶现显示“com.qualcomm.qti.devicestatisticsservice已停止运行”
2023-09-04 11:24 - CDTS_TEST 王成

Status: RESOLVED Start date: 2023-09-04

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0901DB版本

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-11-16

Test Type: ST Root cause: 因设备底层不支持模块导致的高通基础组件崩溃

Description

前提条件】

设备正常使用

【操作步骤】

1.断电重启

【实际结果】

1.重启后桌面显示“com.qualcomm.qti.devicestatisticsservice已停止运行”

预期结果

1、不会有此提示

History

#1 - 2023-11-14 11:40 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-11-15 11:18 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-11-16

- Root cause set to 因设备底层不支持模块导致的高通基础组件崩溃

■ Current conclusion

已处理，代码已入库。提交：https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/328365

■ My analysis

因设备底层不支持模块导致的高通基础组件崩溃，该服务不影响正常使用，所以屏蔽 devicestatisticsservice 的崩溃弹窗。

■ Next action

麻烦测试验证。
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/328365


ID Project Branch Uploader

328365 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

FW:SystemOptimization: Don't show crash dialog of DeviceStatisticsService.TC-RID: 1201-0205101IssueID: TS-R-BUG-119343Change-Id:

I3fe5b8c3dd030df0f0af0dca38bf15e8255b339e

#4 - 2023-11-20 13:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329428 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: Don't show crash dialog of DeviceStatisticsService.TC-RID: 1201-0205101IssueID: TS-R-BUG-119343Change-Id:

I3fe5b8c3dd030df0f0af0dca38bf15e8255b339e(cherry picked from commit bb25d44a5399f1d9f044f5fb2a84079081a8ac8c)

Files

20230904-111751.jpg 165 KB 2023-09-04 CDTS_TEST 王成

20230904-111800.jpg 250 KB 2023-09-04 CDTS_TEST 王成

20230904-111804.jpg 10.8 KB 2023-09-04 CDTS_TEST 王成

cqg.txt 2.67 MB 2023-09-04 CDTS_TEST 王成

tlog.part1.rar 49 MB 2023-09-04 CDTS_TEST 王成

tlog.part2.rar 49 MB 2023-09-04 CDTS_TEST 王成

tlog.part3.rar 18.5 MB 2023-09-04 CDTS_TEST 王成

2025-07-04 2/2


